MtxDestMimic Component

MtxDestMimic

Description

This is a matrix destination mimic component. The user either enters a simple instance that is a matrix destination, or enters the BNCS driver ID and destination. An instance string will override individual driver ID and destination entries. The user also enters the database ID that provides the text name. The default is to use database 0.

The design size of the display is 140 by 30 pixels. Use the script component Stretch enable boxes for other sizes.

Commands

Name | Type | Use
instance | String | The matrix destination from instances.xml
myMatrix | Integer | BNCS Driver ID of matrix
myDestination | Integer | The matrix destination
mySourceDB | Integer | Matrix database used for name lookup
myStatesheet | String | Name of the statesheet that defines the colours and text font for the display

Notifications

Name | Use
sourceid=<Selected source> | Reports the source that feeds this destination

Stylesheets

No default sheets are used with this component.

Developers Notes

Original application of component was Studio C Mixer Input panel. But it has been deployed into several intelligent destination buttons.
Copyright BBC 2017